;;;Place a "hiding" object over a rectangular area (on layer ?-AREA-HIDE). ;;; ;;; AUTHOR: HENRY C. FRANCIS ;;; 425 N. ASHE ST. ;;; SOUTHERN PINES, NC 28387 ;;; All rights reserved without prejudice. ;;; Copyright: 1-26-96 ;;; Edited: 2-7-2002 ;;; (DEFUN c:hbcmud (/) (IF upoint nil (LOAD "upoint" "File UPOINT.LSP not loaded.") ) ;_ end of if (IF c:mklayr nil (LOAD "mklayr" "File MKLAYR.LSP not loaded.") ) ;_ end of if (c:svlayr) (IF dimscl nil (LOAD "dimscl" "File DIMSCL.LSP not loaded.") ) ;_ end of if (dimscl) (IF gvpno nil (LOAD "gvpno" "File GVPNO.LSP not loaded.") ) ;_ end of if (gvpno) (vla-put-MSpace (vla-get-Activedocument (vlax-get-Acad-Object)) :vlax-false) ;;; (COMMAND ".pspace") (IF (TBLOBJNAME "block" "hdbox") (SETQ hbcmud_ss (SSGET "X" '((-4 . "") (-4 . "") (-4 . "") (-4 . "AND>") ) ) ;_ end of SSGET ) ;_ end of SETQ (PROGN (SETQ hbcmud_ss nil) (COMMAND "-insert" "hdbox") (COMMAND) ) ;_ end of progn ) ;_ end of IF (IF hbcmud_ss (COMMAND ".ERASE" hbcmud_ss "") ) ;_ end of IF (IF mjrg nil (SETQ mjrg "C") ) ;_ end of if (SETQ llt "-" prod "AREA" colra nil colri nil colr "1" modf "HIDE" ) ;_ end of setq (SETQ hb_list (LIST '((24.7125 0.7375 0.0000) (29.2750 0.7375 0.0000) (24.7125 1.5875 0.0000) ) '((29.2750 0.7375 0.0000) (35.7125 0.7375 0.0000) (29.2750 4.2625 0.0000) ) '((32.2011 4.2625 0.0000) (35.7125 4.2625 0.0000) (32.2011 5.4469 0.0000) ) ) ;_ end of LIST ) ;_ end of SETQ ;;; (PRINC "\nSelect Object(s) NOT to hide under this box: ") ;;; (PRINC) (c:mklayr) (FOREACH n hb_list (SETQ bxp1 (CAR n)) (SETQ box_angle (ANGLE (CAR n) (CADR n)) box_x_scale (DISTANCE (CAR n) (CADR n)) box_y_scale (DISTANCE (CAR n) (CADDR n)) ) ;_ end of setq (SETQ hdboxlst (LIST (CONS 0 "INSERT") (CONS 2 "HDBOX") (CONS 10 bxp1) (CONS 41 box_x_scale) (CONS 42 box_y_scale) (CONS 43 1.0) (CONS 50 box_angle) (CONS 67 1) (CONS 70 1) (CONS 71 1) ) ;_ end of LIST ) ;_ end of SETQ (ENTMAKE hdboxlst) ) ;_ end of FOREACH ;;; (COMMAND "draworder" (ENTLAST) "" "f") (c:hdupd) (c:rslayr) (PRINC) ) ;_ end of defun ;;;*************************************************************************** ;;;HDUPD automates DRAWORDER to redraw text, dimensions, border sheets named ;;;GTB??##, and title fill-in blocks named CDM* above the HDBOX and DDHTEXT ;;;hiding objects. It is defined in DDHTEXT.LSP (IF (EQ (SUBSTR (GETVAR "acadver") 1 2) "14") (SETQ DEFUN-Q DEFUN) nil ) ;_ end of IF (IF c:hdupd nil (DEFUN-Q c:hdupd () (PROGN (LOAD "ddhtext" "\nFile DDHTEXT.LSP not loaded. HDUPD is undefined. " ) ;_ end of LOAD (IF (FINDFILE "ddhtext.lsp") (c:hdupd) ) ;_ end of IF ) ;_ end of PROGN ) ;_ end of DEFUN-Q ) ;_ end of IF (PRINC) ;|«Visual LISP© Format Options» (72 2 40 2 T "end of " 60 9 2 1 0 T T nil T) ;*** DO NOT add text below the comment! ***|;